<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


$output = template_auto("application_pd_correct", array("title" => "PhD Program: Application for PostDoc Position", "css" => "application", "js" => array("application", "upload_dialog")));


// ----- Birthday selects: Options of year select. ----- //
$myArray = array();
$myTime = getdate(time());
for($i = $myTime[year]-$_settings[applicant][pd][min_age]; $i >= $myTime[year]-$_settings[applicant][pd][max_age]; $i--)
	$myArray[sizeof($myArray)]["key"] = $myArray[sizeof($myArray)]["value"] = $i;
$output = str_replace("{>birth_year_options<}", form_select_create_options($myArray, 4), $output);


// Country selects: options of country and inst_country select.
$output = str_replace("{>country_options<}", form_select_create_options(mysqlib_get("SELECT `id` AS `key`, `name` AS `value` FROM `country`", 2), 4), $output);


// Nationality select: options.
$output = str_replace("{>nationality_options<}", form_select_create_options(mysqlib_get("SELECT `id` AS `key`, `name` AS `value` FROM `nationality`", 2), 4), $output);


// Year of PhD graduation select: options.
$myArray = array();
$myTime = getdate(time());
for($i = $myTime[year]; $i >= $myTime[year]-$_settings[applicant][pd][max_age]+$_settings[applicant][pd][min_age]; $i--)
	$myArray[sizeof($myArray)]["key"] = $myArray[sizeof($myArray)]["value"] = $i;
$output = str_replace("{>phd_year_options<}", form_select_create_options($myArray, 4), $output);


// Professpr selects: options.
$prof_options = form_select_create_options(mysqlib_get(
"	SELECT
		b.`id` AS `key`,
		CONCAT(b.`firstname`, ' ', b.`lastname`, ' (', c.`name`, ' )') AS `value`
	FROM `user_to_area` AS a
		JOIN `user` AS b
			ON (a.`user_id` = b.`id`)
		JOIN `area` AS c
			ON (a.`area_id` = c.`id`)", 2), 4);
$output = str_replace("{>prof_options<}", $prof_options, $output);


// ----- File upload: Given File or Only New File. ----- //
if(!isset($properness["file_id"]))
	$output = str_replace("{>file_upload<}", template_basic("application_replace_file"), $output);
else
	$output = str_replace("{>file_upload<}", template_basic("application_choose_file"), $output);


// ----- Insert Values, Mark Errors ----- //
foreach($data AS $fieldkey => $fieldvalue)
	if($fieldkey != "file_id") {
		$output = str_replace("{>".$fieldkey."_value<}", $fieldvalue, $output);
		if(!isset($properness[$fieldkey])) {
			$output = str_replace("{>".$fieldkey."_error<}", "", $output);
			$output = str_replace("{>".$fieldkey."_class<}", "", $output);
		} else {
			$output = str_replace("{>".$fieldkey."_error<}", template_basic("application_field_error_".$properness[$fieldkey]), $output);
			$output = str_replace("{>".$fieldkey."_class<}", "wrong", $output);
		}
	}


// ----- Insert Values for File Upload ----- //
if(!isset($properness["file_id"])) {
	$output = str_replace("{>file_name<}", $data["file_id"]["name"], $output);
	$output = str_replace("{>file_size<}", $data["file_id"]["size_kb"], $output);
	$output = str_replace("{>file_id<}", $data["file_id"]["id"], $output);
	$output = str_replace("{>file_error<}", "", $output);
	$output = str_replace("{>file_class<}", "", $output);
} else {
	$output = str_replace("{>file_error<}", misc_getTemplateForFileError($properness["file_id"]["error"], $properness["file_id"]["detail"]), $output);
	$output = str_replace("{>file_class<}", "wrong", $output);
}


echo $output;

?>