<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


$output = template_auto("application_pd_review", array("title" => "PhD Program: Application for PostDoc Postion", "css" => "application", "js" => "application"));


// ----- Insert hidden and visible values ----- //
foreach($data AS $fieldkey => $fieldvalue) {
	$fieldvalue = mysqlib_secure($fieldvalue);
	$toreplace = null;
	switch($fieldkey) {
	case "gender":
		$toreplace[0][0] = "{>gender_long<}";
		if($fieldvalue == "m")
			$toreplace[0][1] = "male";
		else
			$toreplace[0][1] = "female";
		break;
	case "birth_day":
	case "birth_month":
		continue;
	case "birth_year":
		$fieldkey = "birthday";
		$fieldvalue = mktime(0, 0, 0, $data["birth_month"], $data["birth_day"], $fieldvalue);
		$toreplace[0][0] = "{>birthday_long<}";
		$toreplace[0][1] = date("j. F Y", $fieldvalue);
		break;
	case "country":
	case "inst_country":
		$toreplace[0][0] = "{>".$fieldkey."_long<}";
		$toreplace[0][1] = mysqlib_get("SELECT `name` FROM `country` WHERE `id` = '".$fieldvalue."'", 0);
		break;
	case "nationality":
		$toreplace[0][0] = "{>nationality_long<}";
		$toreplace[0][1] = mysqlib_get("SELECT `name` FROM `nationality` WHERE `id` = '".$fieldvalue."'", 0);
		break;
	case "phd_month":
		continue;
	case "phd_year":
		$toreplace[0][0] = "{>phd_time_long<}";
		$toreplace[0][1] = date("F Y", mktime(0,0,0,$data["phd_month"], 1, $fieldvalue));
		$fieldkey = "phd_time";
		$fieldvalue = mktime(0,0,0,$data["phd_month"],1,$fieldvalue);
		break;
	case "prof_1_id":
	case "prof_2_id":
	case "prof_3_id":
 		$toreplace[0][0] = "{>".substr($fieldkey, 0, -3)."<}";
		if($fieldvalue != 0)
			$toreplace[0][1] = mysqlib_get(
"	SELECT
		CONCAT(a.`firstname`, ' ', a.`lastname`, ' (', c.`name`, ')') AS `real_name`
	FROM `user` AS a 
		JOIN `user_to_area` AS b
			ON (a.`id` = '".$fieldvalue."'
				AND a.`id` = b.`user_id`)
		JOIN `area` AS c
			ON (b.`area_id` = c.`id`)", 0);
		else
			$toreplace[0][1] = "no professor chosen";
		break;
	case "file_id":
		$toreplace[0][0] = "{>file_name<}";
		$toreplace[0][1] = $fieldvalue["name"];
		$toreplace[1][0] = "{>file_size<}";
		$toreplace[1][1] = $fieldvalue["size_kb"];
		$fieldvalue = $fieldvalue["id"];
		break;
	default:
		break;
	}
	$output = str_replace("{>".$fieldkey."<}", htmlib_mask_quotes($fieldvalue), $output);
	if(!empty($toreplace))
		foreach($toreplace AS $replacevalues)
			$output = str_replace($replacevalues[0], $replacevalues[1], $output);
}

echo $output;

?>