<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

include("inc.php");


$whichForm = "pd review";
include("inc.application_check.php");


// ----- Transform data for "Correct" form ----- //
if(isset($properness)) {

	// ----- Gender transformation ---- //
	if(isset($properness["gender"]))
		$data["gender"] = 0;

	// ----- Birthday transformation ----- //
	if(isset($properness["birthday"])) {
		$data["birth_day"] = $data["birth_month"] = $data["birth_year"] = "";
		$properness["birth_year"] = "invalid";
	} else {
		$data["birth_day"] = date("j", $data["birthday"]);
		$data["birth_month"] = date("n", $data["birthday"]);
		$data["birth_year"] = date("Y", $data["birthday"]);
	}

	// ----- PhD graduation transformation ----- //
	if(!isset($properness["phd_time"])) {
		$data["phd_month"] = date("n", $data["phd_time"]);
		$data["phd_year"] = date("Y", $data["phd_time"]);
	}

	include("application_pd_correct.php");
	exit();
}

// ----- Save application ----- //
else {

	// ----- File-ID change ----- //
	$uniqueFileID = getUniqueMD5(mysqlib_get("SELECT `id` FROM `file_index`", 1));
	$strSQL = "UPDATE `file_index` SET `id` = '".$uniqueFileID."', `temporary` = '0' WHERE `id` = '".mysqlib_secure($data["file_id"]["id"])."'";
	mysql_query($strSQL);

	// ----- Shifting of professors if neccessary ----- //
	$maxProf = 3;
	for($i = 1; $i < $maxProf; $i++)
		if(empty($data["prof_".$i."_id"]))
			for($j = $i+1; $j <= $maxProf; $j++)
				if(!empty($data["prof_".$j."_id"])) {
					$data["prof_".$i."_id"] = $data["prof_".$j."_id"];
					$data["prof_".$j."_id"] = 0;
					break;
				}
	// ----- End: Shifting of professors if neccessary ----- //

	// ----- Transforming data for saving application ----- //
	$appdat = array(
		"title" => $data["title"],
		"firstname" => $data["firstname"],
		"lastname" => $data["lastname"],
		"gender" => $data["gender"],
		"birthday" => $data["birthday"],
		"place" => $data["place"],
		"country_id" => $data["country"],
		"nationality_id" => $data["nationality"],
		"email" => $data["email"],
		"inst_name" => $data["inst_name"],
		"inst_place" => $data["inst_place"],
		"inst_country_id" => $data["inst_country"],
		"topic_1" => $data["topic_1"],
		"topic_2" => $data["topic_2"],
		"topic_3" => $data["topic_3"],
		"file_id" => $uniqueFileID,
		"type" => "pd",
		"inst_department" => $data["inst_department"],
		"phd_advisor" => $data["phd_advisor"],
		"phd_degree" => $data["phd_degree"],
		"phd_grade" => $data["phd_grade"],
		"phd_time" => $data["phd_time"],
		"phd_title" => $data["phd_title"],
		"topic" => $data["topic"],
		"prof_1_id" => $data["prof_1_id"]);

	if($data["prof_2_id"] != 0)
		$appdat["prof_2_id"] = $data["prof_2_id"];
	if($data["prof_3_id"] != 0)
		$appdat["prof_3_id"] = $data["prof_3_id"];

	$application_id = dal_insertNewApplication($appdat);

	misc_sendAppliedMailToApplicant($application_id);

	$professors = mysqlib_get("SELECT DISTINCT a.`id` AS `id` FROM `user` AS a JOIN `user_to_area` AS b ON (a.`id` = b.`user_id`)", 0);
	foreach($professors AS $profID)
		mysql_query("INSERT INTO `unread` (`application_id`, `user_id`) VALUES ('".$application_id."', '".$profID."')");


	// ----- Show "success" page ----- //

	include("application_pd_success.php");

}

?>