<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

include("inc.php");


$output = template_auto("application_phd_enter", array("title" => "PhD Program: Application for PhD Student Position", "css" => "application", "js" => array("application", "upload_dialog")));

// Birthday selects: options of year select.
$myArray = array();
$myTime = getdate(time());
for($i = $myTime[year]-$_settings[applicant][phd][min_age]; $i >= $myTime[year]-$_settings[applicant][phd][max_age]; $i--)
	$myArray[sizeof($myArray)]["key"] = $myArray[sizeof($myArray)]["value"] = $i;
$output = str_replace("{>birth_year_options<}", form_select_create_options($myArray, 4), $output);

// Country selects: options of country and inst_country select.
$output = str_replace("{>country_options<}", form_select_create_options(mysqlib_get("SELECT `id` AS `key`, `name` AS `value` FROM `country`", 2), 4), $output);

// Nationality select: options.
$output = str_replace("{>nationality_options<}", form_select_create_options(mysqlib_get("SELECT `id` AS `key`, `name` AS `value` FROM `nationality`", 2), 4), $output);

// Year of graduation select: options.
$myArray = array();
$myTime = getdate(time());
for($i = $myTime[year]; $i >= $myTime[year]-$_settings[applicant][phd][max_age]+$_settings[applicant][phd][min_age]; $i--)
	$myArray[sizeof($myArray)]["key"] = $myArray[sizeof($myArray)]["value"] = $i;
$output = str_replace("{>grad_year_options<}", form_select_create_options($myArray, 4), $output);

// Advisor selects: options.
$advisor_options = form_select_create_options(mysqlib_get("SELECT	b.`id` AS `key`,
																	CONCAT(b.`firstname`, ' ', b.`lastname`) AS `value`
															FROM `user_to_area` AS a
																JOIN `user` AS b
																	ON (a.`user_id` = b.`id`)",
												2), 4);
$output = str_replace("{>advisor_options<}", $advisor_options, $output);

// ----- File upload: Fields and buttons. ----- //
$output = str_replace("{>file_upload<}", template_basic("application_choose_file"), $output);

/*// ----- File upload: Restrictions. ----- //
$output = str_replace("{>max_file_size<}", $_settings[upload][max_size], $output);
$output = str_replace("{>accepted_content_type<}", $_settings[upload][ctype], $output);
$output = str_replace("{>accepted_file_type<}", $_settings[upload][ftype], $output);
*/

echo $output;

?>