<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


$output = template_auto("application_phd_review", array("title" => "PhD Program: Application for PhD Student Postion", "css" => "application", "js" => "application"));


// ----- Insert hidden and visible values ----- //
foreach($data AS $fieldkey => $fieldvalue) {
	$fieldvalue = mysqlib_secure($fieldvalue);
	$toreplace = null;
	switch($fieldkey) {
	case "gender":
		$toreplace[0][0] = "{>gender_long<}";
		if($fieldvalue == "m")
			$toreplace[0][1] = "male";
		else
			$toreplace[0][1] = "female";
		break;
	case "birth_day":
	case "birth_month":
		continue;
	case "birth_year":
		$fieldkey = "birthday";
		$fieldvalue = mktime(0, 0, 0, $data["birth_month"], $data["birth_day"], $fieldvalue);
		$toreplace[0][0] = "{>birthday_long<}";
		$toreplace[0][1] = date("j. F Y", $fieldvalue);
		break;
	case "country":
	case "inst_country":
		$toreplace[0][0] = "{>".$fieldkey."_long<}";
		$toreplace[0][1] = mysqlib_get("SELECT `name` FROM `country` WHERE `id` = '".$fieldvalue."'", 0);
		break;
	case "nationality":
		$toreplace[0][0] = "{>nationality_long<}";
		$toreplace[0][1] = mysqlib_get("SELECT `name` FROM `nationality` WHERE `id` = '".$fieldvalue."'", 0);
		break;
	case "grad_year":
		$toreplace[0][0] = "{>grad_year_long<}";
		$toreplace[0][1] = $fieldvalue;
		$fieldvalue = mktime(0,0,0,1,1,$fieldvalue);
		break;
	case "advisor_1":
	case "advisor_2":
	case "advisor_3":
		$toreplace[0][0] = "{>".$fieldkey."_long<}";
		if($fieldvalue != 0)
			$toreplace[0][1] = mysqlib_get("SELECT CONCAT(`firstname`, ' ', `lastname`) AS `real_name` FROM `user` WHERE `id` = '".$fieldvalue."'", 0);
		else
			$toreplace[0][1] = "no advisor chosen";
		break;
	case "file_id":
		$toreplace[0][0] = "{>file_name<}";
		$toreplace[0][1] = $fieldvalue["name"];
		$toreplace[1][0] = "{>file_size<}";
		$toreplace[1][1] = $fieldvalue["size_kb"];
		$fieldvalue = $fieldvalue["id"];
		break;
	default:
		break;
	}
	$output = str_replace("{>".$fieldkey."<}", htmlib_mask_quotes($fieldvalue), $output);
	if($toreplace != null)
		foreach($toreplace AS $replacevalues)
			$output = str_replace($replacevalues[0], $replacevalues[1], $output);
}

echo $output;

?>