<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

include("inc.php");


$whichForm = "phd review";
include("inc.application_check.php");


// ----- Transform data for "Change" form ----- //
if(isset($properness)) {

	// ----- Gender transformation ---- //
	if(isset($properness["gender"]))
		$data["gender"] = 0;

	// ----- Birthday transformation ----- //
	if(isset($properness["birthday"])) {
		$data["birth_day"] = $data["birth_month"] = $data["birth_year"] = "";
		$properness["birth_year"] = "invalid";
	} else {
		$data["birth_day"] = date("j", $data["birthday"]);
		$data["birth_month"] = date("n", $data["birthday"]);
		$data["birth_year"] = date("Y", $data["birthday"]);
	}

	include("application_phd_correct.php");
	exit();
}

// ----- Save application ----- //
else {

	// ----- File-ID change ----- //
	$uniqueFileID = getUniqueMD5(mysqlib_get("SELECT `id` FROM `file_index`", 1));
	$strSQL = "UPDATE `file_index` SET `id` = '".$uniqueFileID."', `temporary` = '0' WHERE `id` = '".mysqlib_secure($data["file_id"]["id"])."'";
	mysql_query($strSQL);

	// ----- Transforming data for saving application ----- //
	$appdat = array(
		"title" => $data["title"],
		"firstname" => $data["firstname"],
		"lastname" => $data["lastname"],
		"gender" => $data["gender"],
		"birthday" => $data["birthday"],
		"place" => $data["place"],
		"country_id" => $data["country"],
		"nationality_id" => $data["nationality"],
		"email" => $data["email"],
		"inst_name" => $data["inst_name"],
		"inst_place" => $data["inst_place"],
		"inst_country_id" => $data["inst_country"],
		"topic_1" => $data["topic_1"],
		"topic_2" => $data["topic_2"],
		"topic_3" => $data["topic_3"],
		"file_id" => $uniqueFileID,
		"type" => "phd",
		"grad_degree" => $data["degree"],
		"grad_gpa" => $data["gpa"],
		"grad_year" => $data["grad_year"],
		"grad_title" => $data["grad_title"],
		"advisor_1_id" => $data["advisor_1"]);

	if($data["advisor_2"] != 0)
		$appdat["advisor_2_id"] = $data["advisor_2"];
	if($data["advisor_3"] != 0)
		$appdat["advisor_3_id"] = $data["advisor_3"];

	$application_id = dal_insertNewApplication($appdat);

	misc_sendAppliedMailToApplicant($application_id);

	for($i = 1; isset($appdat["advisor_".$i."_id"]); $i++) {
		$strSQL = "
			INSERT INTO
				`unread`
					(`application_id`, `user_id`)
			VALUES (
				'".$application_id."',
				'".$appdat["advisor_".$i."_id"]."'
			)";
		mysql_query($strSQL);
	}


	// ----- Show "success" page ----- //

	include("application_phd_success.php");

}

?>