<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


$output = template_auto("application_phd_success", array("title" => "University of Konstanz: Application successfull", "css" => "application", "js" => "application", "cssprint" => "application_print"));

$data = dal_getApplicationById($application_id);

foreach($data AS $fieldkey => $fieldvalue) {
	$toreplace = null;
	switch($fieldkey) {
	case "gender":
		if($fieldvalue == "m")
			$fieldvalue = "male";
		else
			$fieldvalue = "female";
		break;
	case "birthday":
		$fieldvalue = date("j. F Y", $fieldvalue);
		break;
	case "grad_year":
		$fieldvalue = date("Y", $fieldvalue);
		break;
	case "advisor_1_short_name":
	case "advisor_2_short_name":
	case "advisor_3_short_name":
		$fieldkey = substr($fieldkey, 0, 9);
		$fieldvalue = ($data[$fieldkey."_real_name"] != NULL ? $data[$fieldkey."_real_name"] : template_basic("application_no_advisor"));
		break;
	case "file_real_name":
		$toreplace[0][0] = "{>file_size<}";
		$toreplace[0][1] = round(filesize($_settings[upload][path].$data["file_system_name"])/1024, 2);
		$fieldkey = "file_name";
		break;
	default:
		break;
	}
	$output = str_replace("{>".$fieldkey."<}", htmlib_mask_quotes($fieldvalue), $output);
	if($toreplace != null)
		foreach($toreplace AS $replacevalues)
			$output = str_replace($replacevalues[0], $replacevalues[1], $output);
}

echo $output;

?>