<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


if(isset($_GET["mode"]) || isset($_POST["mode"]) || empty($mode) || empty($data))
	exit;

if(!empty($user)) {

	$type_long = template_basic("type_long_pd");
	$output = template_auto("entry_display", array("title" => "Application of ".$data[lastname].", ".$data[firstname]." [".$type_long."]",
		"css" => array("entry"),
		"js" => array("application", "entry", "upload_dialog_internal")));

	$output = str_replace("{>name<}", $data[lastname].", ".$data[firstname]." [".$type_long."]", $output);

	// ----- Creation of Form Table ----- //
	$output = str_replace("{>entry<}", template_basic("entry_display_pd_table"), $output);

	$output = str_replace("{>backlink<}", $backlink, $output);
	$output = str_replace("{>application_id<}", $application_id, $output);

	
	// ----- Birthday selects: Options of year select. ----- //
	$myArray = array();
	$myTime = getdate(time());
	for($i = $myTime[year]; $i >= $myTime[year]-100; $i--)
		$myArray[sizeof($myArray)]["key"] = $myArray[sizeof($myArray)]["value"] = $i;
	$output = str_replace("{>birth_year_options<}", form_select_create_options($myArray, 4), $output);


	// Country selects: options of country and inst_country select.
	$output = str_replace("{>country_options<}", form_select_create_options(mysqlib_get("SELECT `id` AS `key`, `name` AS `value` FROM `country`", 2), 4), $output);


	// Nationality select: options.
	$output = str_replace("{>nationality_options<}", form_select_create_options(mysqlib_get("SELECT `id` AS `key`, `name` AS `value` FROM `nationality`", 2), 4), $output);


	// Year of graduation select: options.
	$myArray = array();
	$myTime = getdate(time());
	for($i = $myTime[year]; $i >= $myTime[year]-$_settings[applicant][pd][max_age]+$_settings[applicant][pd][min_age]; $i--)
		$myArray[sizeof($myArray)]["key"] = $myArray[sizeof($myArray)]["value"] = $i;
	$output = str_replace("{>phd_year_options<}", form_select_create_options($myArray, 4), $output);


	// Professor selects: options.
	$prof_options = form_select_create_options(mysqlib_get(
	"	SELECT
			b.`id` AS `key`,
			CONCAT(b.`firstname`, ' ', b.`lastname`, ' (', c.`name`, ')') AS `value`
		FROM `user_to_area` AS a
			JOIN `user` AS b
				ON (a.`user_id` = b.`id`)
			JOIN `area` AS c
				ON (a.`area_id` = c.`id`)",
		2), 4);
	$output = str_replace("{>prof_options<}", $prof_options, $output);


	// ----- File upload: Given File or Only New File. ----- //
	if(!isset($properness["file_id"]))
		$output = str_replace("{>file_upload<}", template_basic("entry_edit_replace_file"), $output);
	else
		$output = str_replace("{>file_upload<}", template_basic("entry_edit_choose_file"), $output);


	// ----- Status select: <options> ----- //
	$output = str_replace("{>status_options<}", form_select_create_options(mysqlib_get("SELECT `id` AS `key`, `name` AS `value` FROM `application_status` ORDER BY `rank`", 2), 4), $output);
//print_r($data);
	// ----- Inserting values ----- //
	foreach($data AS $fieldkey => $fieldvalue) {
		$toreplace = null;
		switch($fieldkey) {
		case "0":
			break;
		case "birthday":
			$toreplace[] = array("{>birth_day_value<}", date("j", $fieldvalue));
			$toreplace[] = array("{>birth_month_value<}", date("n", $fieldvalue));
			$toreplace[] = array("{>birth_year_value<}", date("Y", $fieldvalue));
			break;
		case "country":
		case "nationality":
		case "inst_country":
			continue;
		case "country_id":
		case "nationality_id":
		case "inst_country_id":
			$fieldkey = substr($fieldkey, 0, -3);
			break;
		case "phd_time":
			$toreplace[] = array("{>phd_month_value<}", date("n", $fieldvalue));
			$fieldkey = "phd_year";
			$fieldvalue = date("Y", $fieldvalue);
			break;
		case "prof_1_id":
		case "prof_2_id":
		case "prof_3_id":
			$fieldkey = substr($fieldkey, 0, -3);
			if(is_null($fieldvalue))
				$fieldvalue = "0";
			break;
		case "file_id":
			$toreplace[] = array("{>file_name<}", $data["file_real_name"]);
			$toreplace[] = array("{>file_size<}", round(filesize($_settings[upload][path].$data["file_system_name"])/1024, 2));
			$toreplace[] = array("{>file_id<}", $fieldvalue);
			$fieldkey = "file";
			break;
		default:
			break;
		}
		$output = str_replace("{>".$fieldkey."_value<}", $fieldvalue, $output);
		if(isset($properness[$fieldkey])) {
			$output = str_replace("{>".$fieldkey."_error<}", template_basic("entry_error_".$properness[$fieldkey]), $output);
			$output = str_replace("{>".$fieldkey."_class<}", "wrong", $output);
		} else {
			$output = str_replace("{>".$fieldkey."_error<}", "", $output);
			$output = str_replace("{>".$fieldkey."_class<}", "", $output);
		}
		if(!empty($toreplace))
			foreach($toreplace AS $record)
				$output = str_replace($record[0], $record[1], $output);
	}

	echo $output;

} else
	security_show_login_form();

?>