<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

include("inc.php");


if(!empty($user)) {
	$application_id = $_POST["application_id"];		// Check data!

	$curApp = dal_getApplicationById($application_id);

	switch($curApp["type"]) {

	case "phd":
		$whichForm = "phd entry";
		include("inc.entry_check.php");
		if(empty($properness)) {
			$updateData = $data;
			$updateData["id"] = $application_id;
			$updateData["birthday"] = mktime(0,0,0,$data["birth_month"],$data["birth_day"],$data["birth_year"]);
			$updateData["country_id"] = $data["country"];
			$updateData["nationality_id"] = $data["nationality"];
			$updateData["inst_country_id"] = $data["inst_country"];
			$updateData["file_id"] = $data["file_id"]["id"];
			$updateData["grad_degree"] = $data["degree"];
			$updateData["grad_gpa"] = $data["gpa"];
			$updateData["grad_year"] = mktime(0,0,0,1,1,$data["grad_year"]);
			$updateData["type"] = "phd";
			if($curApp["status"] == "unchecked" && $curApp["status_id"] != $data["status_id"] && $data["status_id"] != 7)
				$updateData["validation"] = time();
			dal_updateApplication($updateData);

			// ----- Inform advisors about new application and applicant about his application being activated ----- //
			if(isset($updateData["validation"])) {
				mailib_sendMailToProfs($application_id);
			}

			// ----- Kill "unread" marker if new status is "rejected" -+- Notify applicant about rejection ----- //
			if(mysqlib_get("SELECT `name` FROM `application_status` WHERE `id` = '".$data["status_id"]."'", 0) == "rejected") {
				mysql_query("DELETE FROM `unread` WHERE `application_id` = '".$application_id."'");
				mailib_sendRejectedMailToApplicant($application_id);
			}

		} else {
			$mode = "save";
			$success = false;
			include("entry_display_phd.php");
			exit;
		}
		break;

	case "pd":
		$whichForm = "pd entry";
		include("inc.entry_check.php");
		if(empty($properness)) {
			$updateData = $data;
			$updateData["id"] = $application_id;
			$updateData["birthday"] = mktime(0,0,0,$data["birth_month"],$data["birth_day"],$data["birth_year"]);
			$updateData["country_id"] = $data["country"];
			$updateData["nationality_id"] = $data["nationality"];
			$updateData["inst_country_id"] = $data["inst_country"];
			$updateData["file_id"] = $data["file_id"]["id"];
			$updateData["phd_time"] = mktime(0,0,0,$data["phd_month"],1,$data["phd_year"]);
			$updateData["type"] = "pd";
			if($curApp["status"] == "unchecked" && $curApp["status_id"] != $data["status_id"])
				$updateData["validation"] = time();
			dal_updateApplication($updateData);

			// ----- Inform professors about new application and applicant about his application being activated ----- //
			if(isset($updateData["validation"])) {
				mailib_sendMailToProfs($application_id);
			}

			// ----- Kill "unread" marker if new status is "rejectend" ----- //
			if(mysqlib_get("SELECT `name` FROM `application_status` WHERE `id` = '".$data["status_id"]."'", 0) == "rejected")
				mysql_query("DELETE FROM `unread` WHERE `application_id` = '".$application_id."'");

		} else {
			$mode = "save";
			$success = false;
			include("entry_display_pd.php");
			exit;
		}
		break;

	}

	$mode = "save";
	$data = dal_getApplicationById($application_id);
	$backlink = $_POST["backlink"];

	include("entry_display_".$data["type"].".php");
	
} else
	security_show_login_form();

?>