<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


$postfields = array();

if(isset($whichForm)) {

	$myTime = getdate(time());
	$maxCountry = mysqlib_get("SELECT MAX(`id`) FROM `country`", 0);
	$maxNationality = mysqlib_get("SELECT MAX(`id`) FROM `nationality`", 0);
	$maxAdvisor = mysqlib_get("SELECT MAX(`user_id`) FROM `user_to_area`", 0);

	switch($whichForm) {
	case "phd enter":
		$postfields[] = pfh("title", "length", 100, true);
		$postfields[] = pfh("firstname", "length", 100);
		$postfields[] = pfh("lastname", "length", 100);
		$postfields[] = pfh("gender", "regexp", '/^[m|f]{1}$/');
		$postfields[] = pfh("birth_day", "min|max", "1|31");
		$postfields[] = pfh("birth_month", "min|max", "1|12");
		$postfields[] = pfh("birth_year", "min|max", ($myTime[year]-$_settings[applicant][phd][max_age])."|".($myTime[year]-$_settings[applicant][phd][min_age]));
		$postfields[] = pfh("place", "length", 100);
		$postfields[] = pfh("country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("nationality", "min|max", "1|".$maxNationality);
		$postfields[] = pfh("email", "regexp", '/^([a-z0-9]+([\._-]?[a-z0-9_-]+)*)+@([a-z0-9]+[\._-])*[a-z0-9]{3,}([\._-][a-z0-9]+)*\.([a-z]{2,5})$/i');
		$postfields[] = pfh("inst_name", "length", 100);
		$postfields[] = pfh("inst_place", "length", 100);
		$postfields[] = pfh("inst_country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("degree", "length", 100);
		$postfields[] = pfh("gpa", "length", 100);
		$postfields[] = pfh("grad_year", "min|max", ($myTime[year]-$_settings[applicant][phd][max_age]+$_settings[applicant][phd][min_age])."|".$myTime[year]);
		$postfields[] = pfh("grad_title", "length", 100);
		$postfields[] = pfh("topic_1", "length", 65535, true);
		$postfields[] = pfh("topic_2", "length", 65535, true);
		$postfields[] = pfh("topic_3", "length", 65535, true);
		$postfields[] = pfh("advisor_1", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("advisor_2", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("advisor_3", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("file_id", "regexp", '/[a-z0-9]{32}/i');
		break;

	case "phd check":
		$postfields[] = pfh("title", "length", 100, true);
		$postfields[] = pfh("firstname", "length", 100);
		$postfields[] = pfh("lastname", "length", 100);
		$postfields[] = pfh("gender", "regexp", '/^[m|f]{1}$/');
		$postfields[] = pfh("birth_day", "min|max", "1|31");
		$postfields[] = pfh("birth_month", "min|max", "1|12");
		$postfields[] = pfh("birth_year", "min|max", ($myTime[year]-$_settings[applicant][phd][max_age])."|".($myTime[year]-$_settings[applicant][phd][min_age]));
		$postfields[] = pfh("place", "length", 100);
		$postfields[] = pfh("country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("nationality", "min|max", "1|".$maxNationality);
		$postfields[] = pfh("email", "regexp", '/^([a-z0-9]+([\._-]?[a-z0-9_-]+)*)+@([a-z0-9]+[\._-])*[a-z0-9]{3,}([\._-][a-z0-9]+)*\.([a-z]{2,5})$/i');
		$postfields[] = pfh("inst_name", "length", 100);
		$postfields[] = pfh("inst_place", "length", 100);
		$postfields[] = pfh("inst_country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("degree", "length", 100);
		$postfields[] = pfh("gpa", "length", 100);
		$postfields[] = pfh("grad_year", "min|max", ($myTime[year]-$_settings[applicant][phd][max_age]+$_settings[applicant][phd][min_age])."|".$myTime[year]);
		$postfields[] = pfh("grad_title", "length", 100);
		$postfields[] = pfh("topic_1", "length", 65535, true);
		$postfields[] = pfh("topic_2", "length", 65535, true);
		$postfields[] = pfh("topic_3", "length", 65535, true);
		$postfields[] = pfh("advisor_1", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("advisor_2", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("advisor_3", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("file_id", "regexp", '/[a-z0-9]{32}/i');
		break;

	case "phd review":
		$postfields[] = pfh("title", "length", 100, true);
		$postfields[] = pfh("firstname", "length", 100);
		$postfields[] = pfh("lastname", "length", 100);
		$postfields[] = pfh("gender", "regexp", '/^[m|f]{1}$/');
		$postfields[] = pfh("birthday", "min|max", mktime(0,0,0,1,1,$myTime[year]-$_settings[applicant][phd][max_age])."|".mktime(0,0,0,1,1,$myTime[year]-$_settings[applicant][phd][min_age]));
		$postfields[] = pfh("place", "length", 100);
		$postfields[] = pfh("country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("nationality", "min|max", "1|".$maxNationality);
		$postfields[] = pfh("email", "regexp", '/^([a-z0-9]+([\._-]?[a-z0-9_-]+)*)+@([a-z0-9]+[\._-])*[a-z0-9]{3,}([\._-][a-z0-9]+)*\.([a-z]{2,5})$/i');
		$postfields[] = pfh("inst_name", "length", 100);
		$postfields[] = pfh("inst_place", "length", 100);
		$postfields[] = pfh("inst_country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("degree", "length", 100);
		$postfields[] = pfh("gpa", "length", 100);
		$postfields[] = pfh("grad_year", "min|max", mktime(0,0,0,1,1,$myTime[year]-$_settings[applicant][phd][max_age]+$_settings[applicant][phd][min_age])."|".time());
		$postfields[] = pfh("grad_title", "length", 100);
		$postfields[] = pfh("topic_1", "length", 65535, true);
		$postfields[] = pfh("topic_2", "length", 65535, true);
		$postfields[] = pfh("topic_3", "length", 65535, true);
		$postfields[] = pfh("advisor_1", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("advisor_2", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("advisor_3", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("file_id", "regexp", '/[a-z0-9]{32}/i');
		break;

	case "pd enter":
	case "pd check":
		$postfields[] = pfh("title", "length", 100, true);
		$postfields[] = pfh("firstname", "length", 100);
		$postfields[] = pfh("lastname", "length", 100);
		$postfields[] = pfh("gender", "regexp", '/^[m|f]{1}$/');
		$postfields[] = pfh("birth_day", "min|max", "1|31");
		$postfields[] = pfh("birth_month", "min|max", "1|12");
		$postfields[] = pfh("birth_year", "min|max", ($myTime[year]-$_settings[applicant][pd][max_age])."|".($myTime[year]-$_settings[applicant][pd][min_age]));
		$postfields[] = pfh("place", "length", 100);
		$postfields[] = pfh("country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("nationality", "min|max", "1|".$maxNationality);
		$postfields[] = pfh("email", "regexp", '/^([a-z0-9]+([\._-]?[a-z0-9_-]+)*)+@([a-z0-9]+[\._-])*[a-z0-9]{3,}([\._-][a-z0-9]+)*\.([a-z]{2,5})$/i');
		$postfields[] = pfh("inst_name", "length", 100);
		$postfields[] = pfh("inst_department", "length", 100);
		$postfields[] = pfh("phd_advisor", "length", 100);
		$postfields[] = pfh("inst_place", "length", 100);
		$postfields[] = pfh("inst_country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("phd_title", "length", 100);
		$postfields[] = pfh("phd_degree", "length", 100);
		$postfields[] = pfh("phd_grade", "length", 100);
		$postfields[] = pfh("phd_month", "min|max", "1|12");
		$postfields[] = pfh("phd_year", "min|max", ($myTime[year]-$_settings[applicant][pd][max_age]+$_settings[applicant][pd][min_age])."|".$myTime[year]);
		$postfields[] = pfh("topic", "length", 65535);
		$postfields[] = pfh("prof_1_id", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("prof_2_id", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("prof_3_id", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("file_id", "regexp", '/[a-z0-9]{32}/i');
		break;

	case "pd review":
		$postfields[] = pfh("title", "length", 100, true);
		$postfields[] = pfh("firstname", "length", 100);
		$postfields[] = pfh("lastname", "length", 100);
		$postfields[] = pfh("gender", "regexp", '/^[m|f]{1}$/');
		$postfields[] = pfh("birthday", "min|max", mktime(0,0,0,1,1,$myTime[year]-$_settings[applicant][pd][max_age])."|".mktime(0,0,0,1,1,$myTime[year]-$_settings[applicant][pd][min_age]));
		$postfields[] = pfh("place", "length", 100);
		$postfields[] = pfh("country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("nationality", "min|max", "1|".$maxNationality);
		$postfields[] = pfh("email", "regexp", '/^([a-z0-9]+([\._-]?[a-z0-9_-]+)*)+@([a-z0-9]+[\._-])*[a-z0-9]{3,}([\._-][a-z0-9]+)*\.([a-z]{2,5})$/i');
		$postfields[] = pfh("inst_name", "length", 100);
		$postfields[] = pfh("inst_department", "length", 100);
		$postfields[] = pfh("phd_advisor", "length", 100);
		$postfields[] = pfh("inst_place", "length", 100);
		$postfields[] = pfh("inst_country", "min|max", "1|".$maxCountry);
		$postfields[] = pfh("phd_title", "length", 100);
		$postfields[] = pfh("phd_degree", "length", 100);
		$postfields[] = pfh("phd_grade", "length", 100);
		$postfields[] = pfh("phd_time", "min|max", mktime(0,0,0,1,1,$myTime[year]-$_settings[applicant][pd][max_age]+$_settings[applicant][pd][min_age])."|".time());
		$postfields[] = pfh("topic", "length", 65535);
		$postfields[] = pfh("prof_1_id", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("prof_2_id", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("prof_3_id", "min|max", "0|".$maxAdvisor);
		$postfields[] = pfh("file_id", "regexp", '/[a-z0-9]{32}/i');
		break;

	default:
		break;
	}
}

?>