<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


$postfields = array();

if(isset($whichForm)) {

	$myTime = getdate(time());
	$maxCountry = mysqlib_get("SELECT MAX(`id`) FROM `country`", 0);
	$maxNationality = mysqlib_get("SELECT MAX(`id`) FROM `nationality`", 0);
	$maxAdvisor = mysqlib_get("SELECT MAX(`user_id`) FROM `user_to_area`", 0);
	$maxStatus = mysqlib_get("SELECT MAX(`id`) FROM `application_status`", 0);

	switch($whichForm) {
	case "phd entry":
		$postfields[] = pfh("title", "length", 100, TRUE);
		$postfields[] = pfh("firstname", "length", 100, TRUE);
		$postfields[] = pfh("lastname", "length", 100, TRUE);
		$postfields[] = pfh("gender", "regexp", '/^[0|m|f]{1}$/', TRUE);
		$postfields[] = pfh("birth_day", "min|max", "1|31", TRUE);
		$postfields[] = pfh("birth_month", "min|max", "1|12", TRUE);
		$postfields[] = pfh("birth_year", "min|max", ($myTime[year]-100)."|".$myTime[year], TRUE);
		$postfields[] = pfh("place", "length", 100, TRUE);
		$postfields[] = pfh("country", "min|max", "1|".$maxCountry, TRUE);
		$postfields[] = pfh("nationality", "min|max", "1|".$maxNationality, TRUE);
		$postfields[] = pfh("email", "length", 100, TRUE);
		$postfields[] = pfh("inst_name", "length", 100, TRUE);
		$postfields[] = pfh("inst_place", "length", 100, TRUE);
		$postfields[] = pfh("inst_country", "min|max", "1|".$maxCountry, TRUE);
		$postfields[] = pfh("degree", "length", 100, TRUE);
		$postfields[] = pfh("gpa", "length", 100, TRUE);
		$postfields[] = pfh("grad_year", "min|max", ($myTime[year]-100)."|".$myTime[year], TRUE);
		$postfields[] = pfh("grad_title", "length", 100, TRUE);
		$postfields[] = pfh("topic_1", "length", 65535, TRUE);
		$postfields[] = pfh("topic_2", "length", 65535, TRUE);
		$postfields[] = pfh("topic_3", "length", 65535, TRUE);
		$postfields[] = pfh("advisor_1", "min|max", "0|".$maxAdvisor, TRUE);
		$postfields[] = pfh("advisor_2", "min|max", "0|".$maxAdvisor, TRUE);
		$postfields[] = pfh("advisor_3", "min|max", "0|".$maxAdvisor, TRUE);
		$postfields[] = pfh("file_id", "regexp", '/[a-z0-9]{32}/i', TRUE);
		$postfields[] = pfh("notice", "length", 65535, TRUE);
		$postfields[] = pfh("status_id", "min|max", "1|".$maxStatus);
		break;


	case "pd entry":
		$postfields[] = pfh("title", "length", 100, TRUE);
		$postfields[] = pfh("firstname", "length", 100, TRUE);
		$postfields[] = pfh("lastname", "length", 100, TRUE);
		$postfields[] = pfh("gender", "regexp", '/^[m|f]{1}$/', TRUE);
		$postfields[] = pfh("birth_day", "min|max", "1|31", TRUE);
		$postfields[] = pfh("birth_month", "min|max", "1|12", TRUE);
		$postfields[] = pfh("birth_year", "min|max", ($myTime[year]-100)."|".$myTime[year], TRUE);
		$postfields[] = pfh("place", "length", 100, TRUE);
		$postfields[] = pfh("country", "min|max", "1|".$maxCountry, TRUE);
		$postfields[] = pfh("nationality", "min|max", "1|".$maxNationality, TRUE);
		$postfields[] = pfh("email", "length", 100, TRUE);
		$postfields[] = pfh("inst_name", "length", 100, TRUE);
		$postfields[] = pfh("inst_department", "length", 100, TRUE);
		$postfields[] = pfh("phd_advisor", "length", 100, TRUE);
		$postfields[] = pfh("inst_place", "length", 100, TRUE);
		$postfields[] = pfh("inst_country", "min|max", "1|".$maxCountry, TRUE);
		$postfields[] = pfh("phd_title", "length", 255, TRUE);
		$postfields[] = pfh("phd_degree", "length", 100, TRUE);
		$postfields[] = pfh("phd_grade", "length", 100, TRUE);
		$postfields[] = pfh("phd_month", "min|max", "1|12", TRUE);
		$postfields[] = pfh("phd_year", "min|max", ($myTime[year]-100)."|".$myTime[year], TRUE);
		$postfields[] = pfh("topic", "length", 65535, TRUE);
		$postfields[] = pfh("prof_1", "min|max", "0|".$maxAdvisor, TRUE);
		$postfields[] = pfh("prof_2", "min|max", "0|".$maxAdvisor, TRUE);
		$postfields[] = pfh("prof_3", "min|max", "0|".$maxAdvisor, TRUE);
		$postfields[] = pfh("file_id", "regexp", '/[a-z0-9]{32}/i', TRUE);
		$postfields[] = pfh("notice", "length", 65535, TRUE);
		$postfields[] = pfh("status_id", "min|max", "1|".$maxStatus);
	
		break;

	default:
		echo "something wrong in inc.entry_fields.php";
		break;
	}
}

?>