/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

function getDays () {
	var monthdays = getDaysOfMonth(parseInt(document.forms["appform"].elements["birth_month"].value, 10),
					parseInt(document.forms["appform"].elements["birth_year"].value, 10));
	var oldvalue = Math.min(parseInt(document.forms["appform"].elements["birth_day"].value), monthdays);
	empty_select("appform", "birth_day");
	var day_options = "";
	for(var i = 1; i <= monthdays; i++)
		document.forms["appform"].elements["birth_day"].options[document.forms["appform"].elements["birth_day"].length] =
			new Option(i+".", i, false, false);
	document.forms["appform"].elements["birth_day"].value = oldvalue;
}

function insert_advisors (advisors) {
	advisors.unshift(new Array(0, "no advisor chosen"));
	insert_into_select("appform", "advisor_1", advisors, -1);
	insert_into_select("appform", "advisor_2", advisors, -1);
	insert_into_select("appform", "advisor_3", advisors, -1);
}

function selectPrevSelected (selections) {
	if(isArr(selections)) {
		for(var i = 0; i < selections.length; i++) {
			document.forms["appform"].elements["h_"+selections[i][0]].value = selections[i][1];
			document.forms["appform"].elements[selections[i][0]].value = selections[i][1];
		}
	}
}

function performCheckValue () {
	if(document.forms["appform"].elements["v_action"].value == "submit") {
		for(var i = 0; i < document.forms["appform"].length; i++)
			if(document.forms["appform"].elements[i].type == "text" || document.forms["appform"].elements[i].type == "textarea")
				document.forms["appform"].elements[i].readOnly = true;
		document.forms["appform"].elements["upfile"].disabled = true;
		document.forms["appform"].elements["button_back"].value = "Change";
		document.forms["appform"].elements["button_back"].onclick = 
			function onclick (event) {
				document.forms["appform"].action = "form.php";
				document.forms["appform"].elements["v_action"].value = "change";
				document.forms["appform"].submit();
			}
		document.forms["appform"].elements["button_send"].value = "Submit";
	}
}

function changeBack (elementref) {
	if(document.forms["appform"].elements["v_action"].value == "submit")
		document.forms["appform"].elements[elementref.name].value = document.forms["appform"].elements["h_"+elementref.name].value;
	else
		if(elementref.name == "birth_month" || elementref.name == "birth_year")
			getDays();
}

function checkFileType () {
	var filename = document.forms["appform"].elements["upfile"].value;
	if(filename == "")
		return "empty";
	else {
		var fileext = filename.substring(filename.lastIndexOf('.')+1);
		if(fileext.toLowerCase() != "pdf")
			return "invalid";
		else
			return "valid";
	}
}

function submitForm () {
	if(checkFileType() == "valid" || document.forms["appform"].elements["upfile_id"].value.length == 32) {
		if(checkFileType() == "valid")
			document.getElementById("upload_progress").style.display = "block";
		document.forms["appform"].action = "formsave.php";
		document.forms["appform"].submit();
	} else {
		displayFileError();
	}
}

function fileChanged () {
	if(document.forms["appform"].elements["upfile_id"].value.length == 32) {
		var errorRet = displayFileError();
		if(!errorRet) {
			var confirmRet = confirm("The chosen file will replace the old one.")
			if(confirmRet)
				document.forms["appform"].elements["uploaded_file"].value = 
					"[To be replaced] "+document.forms["appform"].elements["uploaded_file"].value;
			else {
				document.forms["appform"].elements["upfile"].value = "";
			}
		} else
			document.forms["appform"].elements["uploaded_file"].value =
				document.forms["appform"].elements["uploaded_file"].value.substring(17);
	} else
		displayFileError();
}

function displayFileError () {
	var errmsg = checkFileType();
	if(errmsg == "invalid") {
		alert("Please choose a PDF file to upload.");
		document.forms["appform"].elements["upfile"].value = "";
		return true;
	} else if(errmsg == "empty") {
		alert("Please choose a PDF file to upload.");
		document.forms["appform"].elements["upfile"].value = "";
		return true;
	} else
		return false;
}

function openWindow (windowType) {
	var newwin;
	if(windowType == 'filegeneralinfo')
		newwin = window.open("fileinfo.php", "filegeneralinfo", "width=400,height=530,dependent=yes");
	else if(windowType == 'fileinfo')
		newwin = window.open("fileinfo.php?fileid="+document.forms["appform"].elements["upfile_id"].value,
		                     "fileinfo", "width=400,height=530,dependent=yes");
	else if(windowType == 'formprint')
		newwin = window.open("formprint.php", "print_view");
	newwin.focus();
}

function makeReadonly (config) {
	if(config == "without marking")
		for(var i = 0; i < document.forms["appform"].length; i++)
			if(document.forms["appform"].elements[i].type == "text" || document.forms["appform"].elements[i].type == "textarea")
				document.forms["appform"].elements[i].readOnly = true;
}