/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

function leapyear (year) {
	return (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0) ? true : false);
}

function isInt (number) {
	return parseInt(number) == number;
}

function isArr (myVar) {
	return (typeof(myVar) == "object" && (myVar instanceof Array));
}

function getDaysOfMonth (month, year) {
	switch (month) {
		case 1:
		case 3:
		case 5:
		case 7:
		case 8:
		case 10:
		case 12:
			return 31;
		case 4:
		case 6:
		case 9:
		case 11:
			return 30;
		case 2:
			return leapyear(year) ? 29 : 28;
		default:
			return false;
	}
}

function empty_select (formname, elementname) {
	while(document.forms[formname].elements[elementname].length != 0)
		document.forms[formname].elements[elementname].options[document.forms[formname].elements[elementname].length-1] = null;
}

function insert_into_select (formname, elementname, entries, position) {
	var temp_array = new Array();
	if(position > -1) {
		temp_array = document.forms[formname].elements[elementname].options.slice(position);
		document.forms[formname].elements[elementname].options.splice(
			position,
			document.forms[formname].elements[elementname].length-position);
	}

	if(isArr(entries[0]))
		for(var i = 0; i < entries.length; i++)
			document.forms[formname].elements[elementname].options[document.forms[formname].elements[elementname].length] =
				new Option(entries[i][1], entries[i][0]);
	else
		document.forms[formname].elements[elementname].options[document.forms[formname].elements[elementname].length] =
			new Option(entries[1], entries[0]);

	if(position > -1) {
		for(var i = 0; i < temp_array.length; i++)
			document.forms[formname].elements[elementname].options[document.forms[formname].elements[elementname].length] =
				temp_array[i];
	}
}

function openURL (stringURL) {
	var tempWin = window.open(stringURL);
	tempWin.focus();
}