/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

// Please note: The file type is not specified in the javascript script files. It is specified by a hidden field in "upload_dialog.php?step=1".

function start_upload_dialog () {
	if(typeof upload_dialog_window == "undefined" || upload_dialog_window.closed) {
		upload_dialog_window = window.open("upload_dialog_internal.php?step=1", "upload_dialog_window", "width=500,height=250,menubar=yes,titlebar=yes,resizable=yes,status=yes");
	} else {
		upload_dialog_window.location.href="upload_dialog_internal.php?step=1";
		upload_dialog_window.focus();
	}
}

function checkFileType () {
	var filename = document.forms["upload_form"].elements["new_file"].value;
	if(filename == "")
		return "empty";
	else {
		var fileExt = filename.substring(filename.lastIndexOf('.')+1);
		if(fileExt.toLowerCase() != document.forms["upload_form"].elements["file_type"].value)
			return "invalid";
		else
			return "valid";
	}
}

function displayFileError () {
	var errmsg = checkFileType();
	if(errmsg == "invalid") {
		var permittedFileType = document.forms["upload_form"].elements["file_type"].value.toUpperCase();
		alert("Only "+permittedFileType+" files are permitted.");
		document.forms["upload_form"].elements["new_file"].value = "";
		return false;
	} else
		return true;
}

function fileChanged () {
	displayFileError();
}

function submitUpload () {
	if(displayFileError() && checkFileType() != "empty") {
		var old_file_id = opener.window.document.forms["application"].elements["file_id"].value;
		if(old_file_id.length == 32)
			if(confirm("The chosen file will replace the old one. Are you sure?")) {
				document.forms["upload_form"].elements["old_file_id"].value = old_file_id;
				document.forms["upload_form"].action = document.forms["upload_form"].action+"&task=replace";
			} else
				return false;
		else
			document.forms["upload_form"].action += "&task=upload";
		document.getElementById("upload_waiting_message").style.display = "block";
		return true;

	} else if(checkFileType() == "empty") {
		alert("Please choose a valid "+document.forms["upload_form"].elements["file_type"].value.toUpperCase()+" file first.");
		return false;
	} else
		return false;
}

function registerUpload (file_id, file_name, file_size) {
	opener.window.document.forms["application"].elements["file_id"].value = file_id;
	opener.window.document.getElementById("file_name").innerHTML = file_name;
	opener.window.document.getElementById("file_size").innerHTML = file_size;
	opener.window.document.forms["application"].elements["upload_dialog_button"].value = "Start 'Replace Upload' Dialog";
	opener.window.document.getElementById("file_name").parentNode.parentNode.setAttribute("class", "");
}