<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


function mailib_sendMailToProfs ($application_id) {
	$profs = mysqlib_get("SELECT a.`id`, a.`name`, a.`firstname`, a.`lastname`, a.`email` FROM `user` AS a JOIN `user_to_area` AS b ON (a.`id` = b.`user_id`)");
	$application = dal_getApplication($application_id);
	$type_long = template_basic("type_long_".$application["type"]);
	foreach($profs AS $prof) {
		$profname = ($application["type"] == "phd" ? "advisor" : ($application["type"] == "pd" ? "prof" : ""));
		for($i = 1; $i <= 3; $i++)
			if($application[$profname."_".$i."_id"] == $prof["id"])
				$dedicated = true;
		$mail_content = template_basic("mail_advisor_new_".$application["type"]."_application_body");
		$mail_content = str_replace("{>real_name<}", $prof["firstname"]." ".$prof["lastname"], $mail_content);
		$mail_content = str_replace("{>applicant_name<}", $application["lastname"].", ".$application["firstname"], $mail_content);
		$mail_content = str_replace("{>country<}", $application["country"], $mail_content);
		$mail_content = str_replace("{>profs<}", $application[$profname."_1_real_name"]
			.(!empty($application[$profname."_2_id"]) ? ", ".$application[$profname."_2_real_name"] : "")
			.(!empty($application[$profname."_3_id"]) ? ", ".$application[$profname."_3_real_name"] : ""), $mail_content);
		$mail_content = str_replace("{>user_name<}", $prof["name"], $mail_content);
		$mail_header = "From: \"GK Applications System\"\r\nReply-To: \"GK Secretary <".mysqlib_get("SELECT `email` FROM `user` WHERE `name` = 'secretary'", 0).">\"";
		$mail_subject = "GK AppSys: New ".$type_long." application in our database!";
		mail($prof["email"], $mail_subject, $mail_content, $mail_header);
	}

}


function mailib_sendCheckedMailToApplicant ($application_id) {
	$application = dal_getApplication($application_id);
	$mail_subject = template_basic("mail_applicant_checked_subject");
	$mail_content = template_basic("mail_applicant_checked_body");
	$mail_content = str_replace("{>title<}", ($application["gender"] == "m" ? "Mr. " : "Ms. ").$application["title"], $mail_content);
	$mail_content = str_replace("{>last_name<}", $application["lastname"], $mail_content);
	$mail_header = "From: \"GK Secretary <".mysqlib_get("SELECT `email` FROM `user` WHERE `name` = 'secretary'", 0).">\"";
	mail($application["email"], $mail_subject, $mail_content, $mail_header);
}


function mailib_sendAppliedMailToApplicant ($application_id) {
	$application = dal_getApplication($application_id);
	$mail_subject = template_basic("mail_applicant_new_subject");
	$mail_content = template_basic("mail_applicant_new_body");
	$mail_content = str_replace("{>title<}", ($application["gender"] == "m" ? "Mr. " : "Ms. ").$application["title"], $mail_content);
	$mail_content = str_replace("{>last_name<}", $application["lastname"], $mail_content);
	$mail_header = "From: \"GK Secretary <".mysql_result(mysql_query("SELECT `email` FROM `user` WHERE `name` = 'secretary'"), 0, 0).">\"";
	mail($application["email"], $mail_subject, $mail_content, $mail_header);
}


function mailib_sendRejectedMailToApplicant ($application_id) {
	$application = dal_getApplication($application_id);
	$mail_subject= template_basic("mail_applicant_rejected_subject");
	$mail_content = template_basic("mail_applicant_rejected_body");
	$mail_header = 'From: "GK Secretary" <'.mysql_result(mysql_query('SELECT `email` FROM `user` WHERE `name` = \'secretary\''), 0, 0).'>';
	mail($application['email'], $mail_subject, $mail_content, $mail_header);
}

?>