<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


// Initialize randomizer (for function(s) 'getUniqueMD5(exArr)')
srand(microtime()*1000000);


function template_basic ($tempname) {
	$dfile = fopen("template/".$tempname.".html", "r");
	$content = fread($dfile, filesize("template/".$tempname.".html"));
	fclose($dfile);
	return $content;
}


/* Documentation of function autotemplate (tempname, data)
	tempname		is the name of the template which is to be included in the "main" template
	data			may be an array which may look like on of the following:
					data = title of page (no array at all)
				or
					"title" => title of page
					"css" => name of css file to be included
					"js" => name of js file to be included
				or
					"title" => title of page
					"css" => array(css file 1, css file 2, ...)
					"js" => array(js file 1, js file 2, ...)
*/
function template_auto ($tempname, $data) {
	$maintemp = template_basic("main");
	$curtemp = template_basic($tempname);
	if(is_array($data)) {
		$maintemp = str_replace("{title}", $data["title"], $maintemp);
		if(array_key_exists("css", $data))
			if(is_array($data["css"])) {
				$data_css = "";
				foreach($data["css"] as $value)
					$data_css .= str_replace("{filename}", $value, template_basic("css_include"));
				$maintemp = str_replace("{css_include}", $data_css, $maintemp);
			} else
				$maintemp = str_replace("{css_include}", str_replace("{filename}", $data["css"], template_basic("css_include")), $maintemp);
		if(array_key_exists("cssprint", $data))
			if(is_array($data["cssprint"])) {
				$data_cssprint = "";
				foreach($data["cssprint"] as $value)
					$data_cssprint .= str_replace("{filename}", $value, template_basic("cssprint_include"));
				$maintemp = str_replace("{cssprint_include}", $data_cssprint, $maintemp);
			} else
				$maintemp = str_replace("{cssprint_include}", str_replace("{filename}", $data["cssprint"], template_basic("cssprint_include")), $maintemp);
		if(array_key_exists("js", $data))
			if(is_array($data["js"])) {
				$data_js = "";
				foreach($data["js"] as $value)
					$data_js .= str_replace("{filename}", $value, template_basic("js_include"));
				$maintemp = str_replace("{js_include}", $data_js, $maintemp);
			} else
				$maintemp = str_replace("{js_include}", str_replace("{filename}", $data["js"], template_basic("js_include")), $maintemp);
		
	} else
		$maintemp = str_replace("{title}", $data, $maintemp);
	$maintemp = str_replace("{css_include}", "", $maintemp);
	$maintemp = str_replace("{cssprint_include}", "", $maintemp);
	$maintemp = str_replace("{js_include}", "", $maintemp);
	return str_replace("{content}", $curtemp, $maintemp);
}

?>