<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


if(!empty($user)) {

	$type_long = template_basic("type_long_".$type);
	$content = template_auto("index", array("title" => "Overview of GK applications: ".$type_long, "css" => array("index", "overview")));
	$content = str_replace("{>type_long<}", $type_long, $content);

	$diff_stats = array("new" => "new", "inv" => "invited", "acc" => "accepted", "rej" => "rejected");
	
	// ----- Application lines in tables ----- //
	foreach($diff_stats AS $short => $long) {
		$to_insert = misc_apptable_create_overview($type, $long, $user["id"]);
		if($short == "new" && $type == "phd") {
			$to_insert .= template_basic("overview_table_aphd");
			$to_insert = str_replace("{>ass_app<}", misc_apptable_create_overview($type, "associated", $user["id"]), $to_insert);
		}
		$content = str_replace("{>".$short."_app<}", $to_insert, $content);
	}

	if($user["name"] == "Secretary") { // "Check Applications" link is only visible to user "Secretary"
		$unchecked_apps = dal_getApplication(NULL, $type, "unchecked");
		if($unchecked_apps)
			$content = str_replace("{>unchecked_apps_link<}", str_replace("{>type<}", $type, template_basic("unchecked_apps_link")), $content);
		else
			$content = str_replace("{>unchecked_apps_link<}", template_basic("unchecked_apps_link_inactive"), $content);
	} else
		$content = str_replace("{>unchecked_apps_link<}", "", $content);
	$content = str_replace("{>change_to_links<}",  ($type == "phd" ? template_basic("index_change_to_pd") : template_basic("index_change_to_phd")), $content);

	echo $content;

}

?>