<?php

/**
	AppSys - An application management system for PhD programs funded by the DFG.
	Copyright (C) 2010 Florian Junghanns

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

include("inc.php");


$output;

// ----- Begin create step 1: 'Choose file' output. ----- //
if($_GET["step"] == "1") {
	$output = upload_dialog_create_step_1();
// ----- End create step 1: 'Choose file' output ----- //

// ----- Begin file upload handling. ----- //
} else if($_GET["step"] == "2") {

	// ----- Begin primary check on proper recievement. ----- //
	if(empty($_POST) && empty($_FILES))
		$output = upload_dialog_create_step_1_with_error_message("size");

	else if(empty($_POST) && !empty($_FILES))
		$output = upload_dialog_create_step_1_with_error_message("corrupted");

	else if(!empty($_POST) && empty($_FILES))
		$output = upload_dialog_create_step_1_with_error_message("no_file");

	else if(!isset($_FILES["new_file"]))
		$output = upload_dialog_create_step_1_with_error_message("corrupted");
	// ----- End primary check on proper recievement. ------ //

	else {
		// ----- Begin treatment of errors detected by PHP engine ----- //
		if($_FILES["new_file"]["error"] != 0)
			switch($_FILES["new_file"]["error"]) {
				case 1:
				case 2:
					$output = upload_dialog_create_step_1_with_error_message("size");
					break;
				case 3:
					$output = upload_dialog_create_step_1_with_error_message("incomplete");
					break;
				case 4:
					$output = upload_dialog_create_step_1_with_error_message("no_file");
				case 8:
					$output = upload_dialog_create_step_1_with_error_message("type");
					break;
				default:
					$output = upload_dialog_create_step_1_with_error_message("code", $_FILES["new_file"]["error"]);
			}
		// ----- End treatment of errors detected by PHP engine ----- //
		
		// ----- Begin check on conditions. ----- //
		else {
			if(!($_FILES["new_file"]["size"] <= $_settings[upload][max_size]))
				$output = upload_dialog_create_step_1_with_error_message("size");

			else if(!($_FILES["new_file"]["type"] == $_settings[upload][ctype]
					&& strtolower(substr($_FILES["new_file"]["name"], -1*strlen($_settings[upload][ftype]))) == $_settings[upload][ftype]))
				$output = upload_dialog_create_step_1_with_error_message("type");

			else if(!(is_uploaded_file($_FILES["new_file"]["tmp_name"])))
				$output = upload_dialog_create_step_1_with_error_message("no_file");

			else if(!($_GET["task"] == "upload" 
					|| ($_GET["task"] == "replace" 
						&& preg_match('/[a-zA-Z0-9]{32}/', $_POST["old_file_id"]) == 1
						&& mysqlib_get("SELECT COUNT(*) FROM `file_index` WHERE `id` = '".$_POST["old_file_id"]."' AND `temporary` = '1'", 0) == 1)))
				$output = upload_dialog_create_step_1_with_error_message("corrupted");
		// ----- End check on conditions ----- //

			// ----- Begin new file handling ----- //
			else {
				$uniqueFilename = getUniqueMD5(mysqlib_get("SELECT `system_name` FROM `file_index`", 1));

				// ----- Try file movement ----- //
				if(!(@move_uploaded_file($_FILES["new_file"]["tmp_name"], $_settings[upload][path].$uniqueFilename)))
					$output = upload_dialog_create_step_1_with_error_message("code");

				// ----- If successful register file as 'temporary' ----- //
				else {
					$uniqueFileID = getUniqueMD5(mysqlib_get("SELECT `id` FROM `file_index`", 1));
					mysql_query("INSERT INTO `file_index` (`id`, `real_name`, `system_name`, `temporary`) "
									."VALUES('".$uniqueFileID."', '".$_FILES["new_file"]["name"]."', '".$uniqueFilename."', '1')");
					$output = template_auto("upload_dialog_success", array("title" => "File upload: Success", "css" => "upload_dialog", "js" => "upload_dialog"));

					// ----- Begin old file handling ----- //
					if($_GET["task"] == "replace") {
						$old_file = mysqlib_get("SELECT * FROM `file_index` WHERE `id` = '".$_POST["old_file_id"]."'", 0);
						mysql_query("DELETE FROM `file_index` WHERE `id` = '".$_POST["old_file_id"]."'");
						unlink($_settings[upload][path].$old_file["system_name"]);
						$output = str_replace("{>message<}", template_basic("upload_dialog_success_msg_replace"), $output);
						$output = str_replace("{>old_file_name<}", $old_file["real_name"], $output);
					// ----- End old file handling ----- //

					} else
						$output = str_replace("{>message<}", template_basic("upload_dialog_success_msg_upload"), $output);

					$output = str_replace("{>file_id<}", $uniqueFileID, $output);
					$output = str_replace("{>file_name<}", $_FILES["new_file"]["name"], $output);
					$output = str_replace("{>file_size<}", round(filesize($_settings[upload][path].$uniqueFilename)/1024, 2), $output);
				}
			}
			// ----- End new file handling ----- //

		}
	}
// ----- End file upload handling. ----- //
}


echo $output;

// End of script.

function upload_dialog_create_step_1 () {
	$output = template_auto("upload_dialog_choose_file", array("title" => "Choose your file", "css" => "upload_dialog", "js" => "upload_dialog"));

	// ----- File upload: Restrictions. ----- //
	global $_settings;
	$output = str_replace("{>max_file_size<}", $_settings[upload][max_size], $output);
	$output = str_replace("{>max_file_size_mb<}", $_settings[upload][max_size]/(1024*1024), $output);
	return $output;
}


function upload_dialog_create_step_1_with_error_message ($error_type, $error_code = 0) {
	$output = upload_dialog_create_step_1();
	$message = template_basic("upload_dialog_error_".$error_type);
	if($_GET["task"] == "replace")
 		$message .= template_basic("upload_dialog_error_old_file_kept");
	$output = str_replace("{>error_message<}", $message, $output);
	$output = str_replace("{>error_code<}", $error_code, $output);
	$output = str_replace(" id=\"error_message_off\"", " id=\"error_message\"", $output);
	return $output;
}
	

?>