--
-- Tabellenstruktur für Tabelle `application_detail`
--

CREATE TABLE IF NOT EXISTS `application_detail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `firstname` varchar(100) NOT NULL,
  `lastname` varchar(100) NOT NULL,
  `gender` char(1) NOT NULL,
  `birthday` int(11) NOT NULL,
  `place` varchar(100) NOT NULL,
  `country_id` int(11) NOT NULL,
  `nationality_id` int(11) NOT NULL,
  `email` varchar(100) NOT NULL,
  `inst_name` varchar(100) NOT NULL,
  `inst_place` varchar(100) NOT NULL,
  `inst_country_id` int(11) NOT NULL,
  `type_id` int(11) NOT NULL,
  `file_id` char(32) NOT NULL,
  `notice` text NOT NULL,
  `shortnotice` text NOT NULL,
  `date` int(11) NOT NULL,
  `status_id` int(11) NOT NULL DEFAULT '1',
  `validation` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `date` (`date`),
  KEY `file_id` (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Daten für Tabelle `application_detail`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `application_pd_detail`
--

CREATE TABLE IF NOT EXISTS `application_pd_detail` (
  `id` int(11) NOT NULL,
  `inst_department` varchar(100) NOT NULL,
  `phd_advisor` varchar(100) NOT NULL,
  `phd_title` varchar(100) NOT NULL,
  `phd_degree` varchar(100) NOT NULL,
  `phd_grade` varchar(100) NOT NULL,
  `phd_time` int(11) NOT NULL,
  `topic` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `application_pd_detail`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `application_phd_detail`
--

CREATE TABLE IF NOT EXISTS `application_phd_detail` (
  `id` int(11) NOT NULL,
  `grad_degree` varchar(100) NOT NULL,
  `grad_gpa` varchar(100) NOT NULL,
  `grad_year` int(11) NOT NULL,
  `grad_title` varchar(100) NOT NULL,
  `topic_1` text NOT NULL,
  `topic_2` text NOT NULL,
  `topic_3` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `application_phd_detail`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `application_status`
--

CREATE TABLE IF NOT EXISTS `application_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `short` varchar(3) NOT NULL,
  `rank` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `rank` (`rank`),
  UNIQUE KEY `short` (`short`),
  KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=8 ;

--
-- Daten für Tabelle `application_status`
--

INSERT INTO `application_status` (`id`, `name`, `short`, `rank`) VALUES
(1, 'unchecked', 'unc', 1),
(2, 'new', 'new', 2),
(3, 'invited', 'inv', 4),
(4, 'accepted', 'acc', 5),
(5, 'rejected', 'rej', 6),
(6, 'associated', 'ass', 3),
(7, 'deleted', 'del', 7);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `application_to_prof`
--

CREATE TABLE IF NOT EXISTS `application_to_prof` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `application_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `rank` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `application_id` (`application_id`),
  KEY `user_id` (`user_id`),
  KEY `rank` (`rank`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

--
-- Daten für Tabelle `application_to_prof`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `application_type`
--

CREATE TABLE IF NOT EXISTS `application_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Daten für Tabelle `application_type`
--

INSERT INTO `application_type` (`id`, `name`) VALUES
(1, 'phd'),
(2, 'pd');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `area`
--

CREATE TABLE IF NOT EXISTS `area` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Daten für Tabelle `area`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `country`
--

CREATE TABLE IF NOT EXISTS `country` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(2) DEFAULT NULL,
  `name` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=247 ;

--
-- Daten für Tabelle `country`
--

INSERT INTO `country` (`id`, `code`, `name`) VALUES
(1, 'AX', '&#xc5;land Islands'),
(2, 'AF', 'Afghanistan'),
(3, 'AL', 'Albania'),
(4, 'DZ', 'Algeria'),
(5, 'AS', 'American Samoa'),
(6, 'AD', 'Andorra'),
(7, 'AO', 'Angola'),
(8, 'AI', 'Anguilla'),
(9, 'AQ', 'Antarctica'),
(10, 'AG', 'Antigua And Barbuda'),
(11, 'AR', 'Argentina'),
(12, 'AM', 'Armenia'),
(13, 'AW', 'Aruba'),
(14, 'AU', 'Australia'),
(15, 'AT', 'Austria'),
(16, 'AZ', 'Azerbaijan'),
(17, 'BS', 'Bahamas'),
(18, 'BH', 'Bahrain'),
(19, 'BD', 'Bangladesh'),
(20, 'BB', 'Barbados'),
(21, 'BY', 'Belarus'),
(22, 'BE', 'Belgium'),
(23, 'BZ', 'Belize'),
(24, 'BJ', 'Benin'),
(25, 'BM', 'Bermuda'),
(26, 'BT', 'Bhutan'),
(27, 'BO', 'Bolivia'),
(28, 'BA', 'Bosnia And Herzegovina'),
(29, 'BW', 'Botswana'),
(30, 'BV', 'Bouvet Island'),
(31, 'BR', 'Brazil'),
(32, 'IO', 'British Indian Ocean Territory'),
(33, 'BN', 'Brunei Darussalam'),
(34, 'BG', 'Bulgaria'),
(35, 'BF', 'Burkina Faso'),
(36, 'BI', 'Burundi'),
(37, 'KH', 'Cambodia'),
(38, 'CM', 'Cameroon'),
(39, 'CA', 'Canada'),
(40, 'CV', 'Cape Verde'),
(41, 'KY', 'Cayman Islands'),
(42, 'CF', 'Central African Republic'),
(43, 'TD', 'Chad'),
(44, 'CL', 'Chile'),
(45, 'CN', 'China'),
(46, 'CX', 'Christmas Island'),
(47, 'CC', 'Cocos (keeling) Islands'),
(48, 'CO', 'Colombia'),
(49, 'KM', 'Comoros'),
(50, 'CG', 'Congo'),
(51, 'CD', 'Congo, The Democratic Republic Of The'),
(52, 'CK', 'Cook Islands'),
(53, 'CR', 'Costa Rica'),
(54, 'CI', 'C&#xf4;te D&apos;ivoire'),
(55, 'HR', 'Croatia'),
(56, 'CU', 'Cuba'),
(57, 'CY', 'Cyprus'),
(58, 'CZ', 'Czech Republic'),
(59, 'DK', 'Denmark'),
(60, 'DJ', 'Djibouti'),
(61, 'DM', 'Dominica'),
(62, 'DO', 'Dominican Republic'),
(63, 'EC', 'Ecuador'),
(64, 'EG', 'Egypt'),
(65, 'SV', 'El Salvador'),
(66, 'GQ', 'Equatorial Guinea'),
(67, 'ER', 'Eritrea'),
(68, 'EE', 'Estonia'),
(69, 'ET', 'Ethiopia'),
(70, 'FK', 'Falkland Islands (malvinas)'),
(71, 'FO', 'Faroe Islands'),
(72, 'FJ', 'Fiji'),
(73, 'FI', 'Finland'),
(74, 'FR', 'France'),
(75, 'GF', 'French Guiana'),
(76, 'PF', 'French Polynesia'),
(77, 'TF', 'French Southern Territories'),
(78, 'GA', 'Gabon'),
(79, 'GM', 'Gambia'),
(80, 'GE', 'Georgia'),
(81, 'DE', 'Germany'),
(82, 'GH', 'Ghana'),
(83, 'GI', 'Gibraltar'),
(84, 'GR', 'Greece'),
(85, 'GL', 'Greenland'),
(86, 'GD', 'Grenada'),
(87, 'GP', 'Guadeloupe'),
(88, 'GU', 'Guam'),
(89, 'GT', 'Guatemala'),
(90, 'GG', 'Guernsey'),
(91, 'GN', 'Guinea'),
(92, 'GW', 'Guinea-bissau'),
(93, 'GY', 'Guyana'),
(94, 'HT', 'Haiti'),
(95, 'HM', 'Heard Island And Mcdonald Islands'),
(96, 'HN', 'Honduras'),
(97, 'HK', 'Hong Kong'),
(98, 'HU', 'Hungary'),
(99, 'IS', 'Iceland'),
(100, 'IN', 'India'),
(101, 'ID', 'Indonesia'),
(102, 'IR', 'Iran, Islamic Republic Of'),
(103, 'IQ', 'Iraq'),
(104, 'IE', 'Ireland'),
(105, 'IM', 'Isle Of Man'),
(106, 'IL', 'Israel'),
(107, 'IT', 'Italy'),
(108, 'JM', 'Jamaica'),
(109, 'JP', 'Japan'),
(110, 'JE', 'Jersey'),
(111, 'JO', 'Jordan'),
(112, 'KZ', 'Kazakhstan'),
(113, 'KE', 'Kenya'),
(114, 'KI', 'Kiribati'),
(115, 'KP', 'Korea, Democratic People&apos;s Republic Of'),
(116, 'KR', 'Korea, Republic Of'),
(117, 'KW', 'Kuwait'),
(118, 'KG', 'Kyrgyzstan'),
(119, 'LA', 'Lao People&apos;s Democratic Republic'),
(120, 'LV', 'Latvia'),
(121, 'LB', 'Lebanon'),
(122, 'LS', 'Lesotho'),
(123, 'LR', 'Liberia'),
(124, 'LY', 'Libyan Arab Jamahiriya'),
(125, 'LI', 'Liechtenstein'),
(126, 'LT', 'Lithuania'),
(127, 'LU', 'Luxembourg'),
(128, 'MO', 'Macao'),
(129, 'MK', 'Macedonia, The Former Yugoslav Republic Of'),
(130, 'MG', 'Madagascar'),
(131, 'MW', 'Malawi'),
(132, 'MY', 'Malaysia'),
(133, 'MV', 'Maldives'),
(134, 'ML', 'Mali'),
(135, 'MT', 'Malta'),
(136, 'MH', 'Marshall Islands'),
(137, 'MQ', 'Martinique'),
(138, 'MR', 'Mauritania'),
(139, 'MU', 'Mauritius'),
(140, 'YT', 'Mayotte'),
(141, 'MX', 'Mexico'),
(142, 'FM', 'Micronesia, Federated States Of'),
(143, 'MD', 'Moldova'),
(144, 'MC', 'Monaco'),
(145, 'MN', 'Mongolia'),
(146, 'ME', 'Montenegro'),
(147, 'MS', 'Montserrat'),
(148, 'MA', 'Morocco'),
(149, 'MZ', 'Mozambique'),
(150, 'MM', 'Myanmar'),
(151, 'NA', 'Namibia'),
(152, 'NR', 'Nauru'),
(153, 'NP', 'Nepal'),
(154, 'NL', 'Netherlands'),
(155, 'AN', 'Netherlands Antilles'),
(156, 'NC', 'New Caledonia'),
(157, 'NZ', 'New Zealand'),
(158, 'NI', 'Nicaragua'),
(159, 'NE', 'Niger'),
(160, 'NG', 'Nigeria'),
(161, 'NU', 'Niue'),
(162, 'NF', 'Norfolk Island'),
(163, 'MP', 'Northern Mariana Islands'),
(164, 'NO', 'Norway'),
(165, 'OM', 'Oman'),
(166, 'PK', 'Pakistan'),
(167, 'PW', 'Palau'),
(168, 'PS', 'Palestinian Territory, Occupied'),
(169, 'PA', 'Panama'),
(170, 'PG', 'Papua New Guinea'),
(171, 'PY', 'Paraguay'),
(172, 'PE', 'Peru'),
(173, 'PH', 'Philippines'),
(174, 'PN', 'Pitcairn'),
(175, 'PL', 'Poland'),
(176, 'PT', 'Portugal'),
(177, 'PR', 'Puerto Rico'),
(178, 'QA', 'Qatar'),
(179, 'RE', 'R&#xe9;union'),
(180, 'RO', 'Romania'),
(181, 'RU', 'Russian Federation'),
(182, 'RW', 'Rwanda'),
(183, 'BL', 'Saint Barth&#xe9;lemy'),
(184, 'SH', 'Saint Helena'),
(185, 'KN', 'Saint Kitts And Nevis'),
(186, 'LC', 'Saint Lucia'),
(187, 'MF', 'Saint Martin'),
(188, 'PM', 'Saint Pierre And Miquelon'),
(189, 'VC', 'Saint Vincent And The Grenadines'),
(190, 'WS', 'Samoa'),
(191, 'SM', 'San Marino'),
(192, 'ST', 'Sao Tome And Principe'),
(193, 'SA', 'Saudi Arabia'),
(194, 'SN', 'Senegal'),
(195, 'RS', 'Serbia'),
(196, 'SC', 'Seychelles'),
(197, 'SL', 'Sierra Leone'),
(198, 'SG', 'Singapore'),
(199, 'SK', 'Slovakia'),
(200, 'SI', 'Slovenia'),
(201, 'SB', 'Solomon Islands'),
(202, 'SO', 'Somalia'),
(203, 'ZA', 'South Africa'),
(204, 'GS', 'South Georgia And The South Sandwich Islands'),
(205, 'ES', 'Spain'),
(206, 'LK', 'Sri Lanka'),
(207, 'SD', 'Sudan'),
(208, 'SR', 'Suriname'),
(209, 'SJ', 'Svalbard And Jan Mayen'),
(210, 'SZ', 'Swaziland'),
(211, 'SE', 'Sweden'),
(212, 'CH', 'Switzerland'),
(213, 'SY', 'Syrian Arab Republic'),
(214, 'TW', 'Taiwan, Province Of China'),
(215, 'TJ', 'Tajikistan'),
(216, 'TZ', 'Tanzania, United Republic Of'),
(217, 'TH', 'Thailand'),
(218, 'TL', 'Timor-leste'),
(219, 'TG', 'Togo'),
(220, 'TK', 'Tokelau'),
(221, 'TO', 'Tonga'),
(222, 'TT', 'Trinidad And Tobago'),
(223, 'TN', 'Tunisia'),
(224, 'TR', 'Turkey'),
(225, 'TM', 'Turkmenistan'),
(226, 'TC', 'Turks And Caicos Islands'),
(227, 'TV', 'Tuvalu'),
(228, 'UG', 'Uganda'),
(229, 'UA', 'Ukraine'),
(230, 'AE', 'United Arab Emirates'),
(231, 'GB', 'United Kingdom'),
(232, 'US', 'United States'),
(233, 'UM', 'United States Minor Outlying Islands'),
(234, 'UY', 'Uruguay'),
(235, 'UZ', 'Uzbekistan'),
(236, 'VU', 'Vanuatu'),
(237, 'VA', 'Vatican City State'),
(238, 'VE', 'Venezuela'),
(239, 'VN', 'Viet Nam'),
(240, 'VG', 'Virgin Islands, British'),
(241, 'VI', 'Virgin Islands, U.s.'),
(242, 'WF', 'Wallis And Futuna'),
(243, 'EH', 'Western Sahara'),
(244, 'YE', 'Yemen'),
(245, 'ZM', 'Zambia'),
(246, 'ZW', 'Zimbabwe');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `file_index`
--

CREATE TABLE IF NOT EXISTS `file_index` (
  `id` char(32) NOT NULL,
  `real_name` text NOT NULL,
  `system_name` char(32) NOT NULL,
  `temporary` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

--
-- Daten für Tabelle `file_index`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `nationality`
--

CREATE TABLE IF NOT EXISTS `nationality` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=202 ;

--
-- Daten für Tabelle `nationality`
--

INSERT INTO `nationality` (`id`, `name`) VALUES
(1, 'Afghan'),
(2, 'Albanian'),
(3, 'Algerian'),
(4, 'American'),
(5, 'Andorran'),
(6, 'Angolan'),
(7, 'Antiguans'),
(8, 'Argentinean'),
(9, 'Armenian'),
(10, 'Australian'),
(11, 'Austrian'),
(12, 'Azerbaijani'),
(13, 'Bahamian'),
(14, 'Bahraini'),
(15, 'Bangladeshi'),
(16, 'Barbadian'),
(17, 'Barbudans'),
(18, 'Batswana'),
(19, 'Belarusian'),
(20, 'Belgian'),
(21, 'Belizean'),
(22, 'Beninese'),
(23, 'Bhutanese'),
(24, 'Bolivian'),
(25, 'Bosnian'),
(26, 'Brazilian'),
(27, 'British'),
(28, 'Bruneian'),
(29, 'Bulgarian'),
(30, 'Burkinabe'),
(31, 'Burmese'),
(32, 'Burundian'),
(33, 'Cambodian'),
(34, 'Cameroonian'),
(35, 'Canadian'),
(36, 'Cape Verdean'),
(37, 'Central African'),
(38, 'Chadian'),
(39, 'Chilean'),
(40, 'Chinese'),
(41, 'Colombian'),
(42, 'Comoran'),
(43, 'Congolese'),
(44, 'Congolese'),
(45, 'Costa Rican'),
(46, 'Croatian'),
(47, 'Cuban'),
(48, 'Cypriot'),
(49, 'Czech'),
(50, 'Danish'),
(51, 'Djibouti'),
(52, 'Dominican'),
(53, 'Dominican'),
(54, 'Dutch'),
(55, 'Dutchman'),
(56, 'Dutchwoman'),
(57, 'East Timorese'),
(58, 'Ecuadorean'),
(59, 'Egyptian'),
(60, 'Emirian'),
(61, 'Equatorial Guinean'),
(62, 'Eritrean'),
(63, 'Estonian'),
(64, 'Ethiopian'),
(65, 'Fijian'),
(66, 'Filipino'),
(67, 'Finnish'),
(68, 'French'),
(69, 'Gabonese'),
(70, 'Gambian'),
(71, 'Georgian'),
(72, 'German'),
(73, 'Ghanaian'),
(74, 'Greek'),
(75, 'Grenadian'),
(76, 'Guatemalan'),
(77, 'Guinea-Bissauan'),
(78, 'Guinean'),
(79, 'Guyanese'),
(80, 'Haitian'),
(81, 'Herzegovinian'),
(82, 'Honduran'),
(83, 'Hungarian'),
(84, 'I-Kiribati'),
(85, 'Icelander'),
(86, 'Indian'),
(87, 'Indonesian'),
(88, 'Iranian'),
(89, 'Iraqi'),
(90, 'Irish'),
(91, 'Irish'),
(92, 'Israeli'),
(93, 'Italian'),
(94, 'Ivorian'),
(95, 'Jamaican'),
(96, 'Japanese'),
(97, 'Jordanian'),
(98, 'Kazakhstani'),
(99, 'Kenyan'),
(100, 'Kittian and Nevisian'),
(101, 'Kuwaiti'),
(102, 'Kyrgyz'),
(103, 'Laotian'),
(104, 'Latvian'),
(105, 'Lebanese'),
(106, 'Liberian'),
(107, 'Libyan'),
(108, 'Liechtensteiner'),
(109, 'Lithuanian'),
(110, 'Luxembourger'),
(111, 'Macedonian'),
(112, 'Malagasy'),
(113, 'Malawian'),
(114, 'Malaysian'),
(115, 'Maldivan'),
(116, 'Malian'),
(117, 'Maltese'),
(118, 'Marshallese'),
(119, 'Mauritanian'),
(120, 'Mauritian'),
(121, 'Mexican'),
(122, 'Micronesian'),
(123, 'Moldovan'),
(124, 'Monacan'),
(125, 'Mongolian'),
(126, 'Moroccan'),
(127, 'Mosotho'),
(128, 'Motswana'),
(129, 'Mozambican'),
(130, 'Namibian'),
(131, 'Nauruan'),
(132, 'Nepalese'),
(133, 'Netherlander'),
(134, 'New Zealander'),
(135, 'Ni-Vanuatu'),
(136, 'Nicaraguan'),
(137, 'Nigerian'),
(138, 'Nigerien'),
(139, 'North Korean'),
(140, 'Northern Irish'),
(141, 'Norwegian'),
(142, 'Omani'),
(143, 'Pakistani'),
(144, 'Palauan'),
(145, 'Panamanian'),
(146, 'Papua New Guinean'),
(147, 'Paraguayan'),
(148, 'Peruvian'),
(149, 'Polish'),
(150, 'Portuguese'),
(151, 'Qatari'),
(152, 'Romanian'),
(153, 'Russian'),
(154, 'Rwandan'),
(155, 'Saint Lucian'),
(156, 'Salvadoran'),
(157, 'Samoan'),
(158, 'San Marinese'),
(159, 'Sao Tomean'),
(160, 'Saudi'),
(161, 'Scottish'),
(162, 'Senegalese'),
(163, 'Serbian'),
(164, 'Seychellois'),
(165, 'Sierra Leonean'),
(166, 'Singaporean'),
(167, 'Slovakian'),
(168, 'Slovenian'),
(169, 'Solomon Islander'),
(170, 'Somali'),
(171, 'South African'),
(172, 'South Korean'),
(173, 'Spanish'),
(174, 'Sri Lankan'),
(175, 'Sudanese'),
(176, 'Surinamer'),
(177, 'Swazi'),
(178, 'Swedish'),
(179, 'Swiss'),
(180, 'Syrian'),
(181, 'Taiwanese'),
(182, 'Tajik'),
(183, 'Tanzanian'),
(184, 'Thai'),
(185, 'Togolese'),
(186, 'Tongan'),
(187, 'Trinidadian or Tobagonian'),
(188, 'Tunisian'),
(189, 'Turkish'),
(190, 'Tuvaluan'),
(191, 'Ugandan'),
(192, 'Ukrainian'),
(193, 'Uruguayan'),
(194, 'Uzbekistani'),
(195, 'Venezuelan'),
(196, 'Vietnamese'),
(197, 'Welsh'),
(198, 'Welsh'),
(199, 'Yemenite'),
(200, 'Zambian'),
(201, 'Zimbabwean');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `unread`
--

CREATE TABLE IF NOT EXISTS `unread` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `application_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `application_id` (`application_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Daten für Tabelle `unread`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `password` char(32) NOT NULL,
  `firstname` varchar(50) NOT NULL,
  `lastname` varchar(50) NOT NULL,
  `shortname` char(2) NOT NULL,
  `email` varchar(100) DEFAULT 'gkwebmaster@inf.uni-konstanz.de',
  `lastlogin` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `lastname` (`lastname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Daten für Tabelle `user`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `user_to_area`
--

CREATE TABLE IF NOT EXISTS `user_to_area` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `area_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `area_id` (`area_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED AUTO_INCREMENT=1 ;

--
-- Daten für Tabelle `user_to_area`
--

